%global commit fb9dbfdf02b66256f2fbfe2e842fc7c751118666
%global project pidgin-im-gnome-shell-extension
%global uuid pidgin@muffinmad

Name:		gnome-shell-extension-pidgin
Version:	0
Release:	0.20.git%(c=%{commit}; echo ${c:0:7})%{?dist}
Summary:	The components necessary to integrate Pidgin with GNOME Shell
Group:		User Interface/Desktops
License:	GPLv2+
URL:		https://github.com/muffinmad/%{project}
Source0:	https://github.com/muffinmad/%{project}/archive/%{commit}/%{project}-%{commit}.tar.gz
Source1:	http://download.sourceforge.net/project/gnomeshpidgin/gnomeShellPidgin.c
Source2:	Makefile.gnomeShellPidgin
# Had to clarify licensing on Mohd Izhar Firdaus Bin Ismail's gnome-shell-extensions-pidgin
# It is also GPLv2+
Source3:	gnome-shell-extensions-pidgin-License.txt
Source4:	http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
Patch0:		gnomeShellPidgin-cleanup.patch
Patch3:		gnomeShellPidgin-fixups.patch
Patch4:		gnome-shell-extension-pidgin-gnome-shell-316.patch
BuildRequires:	libpurple-devel, dbus-devel, zlib-devel, glib2
Requires:	gnome-shell >= 3.8
Requires:	pidgin

%description
This package contains the necessary components to integrate pidgin with 
GNOME Shell:
* Izhar Firdaus's GNOME Shell Extension to display Pidgin chats as 
  notifications in the Shell message tray.
* Wojtek Surówka's Pidgin status notifier plugin

In order to activate these components, you will need to:
* Be running Pidgin (the extension uses Pidgin's DBUS API)
* Restart GNOME Shell after installation
* Enable the "GNOME Shell Connector" plugin within Pidgin

%prep
%setup -c -n %{name}
mv %{project}-%{commit} %{uuid}
cp %{SOURCE1} .
cp %{SOURCE2} Makefile
cp %{SOURCE3} .
cp %{SOURCE4} .
%patch0 -p0 -b .cleanup
%patch3 -p1 -b .fixups
%patch4 -p1
pushd %{uuid}/schemas
/usr/bin/glib-compile-schemas .
popd

%build
make CFLAGS="%{optflags}"

%install
make DESTDIR=%{buildroot} LIBDIR=%{_libdir} install

mkdir -p %{buildroot}%{_datadir}/gnome-shell/extensions
cp -a %{uuid} %{buildroot}%{_datadir}/gnome-shell/extensions/

%files
%license gpl-2.0.txt gnome-shell-extensions-pidgin-License.txt
%{_datadir}/gnome-shell/extensions/%{uuid}/
%exclude %{_datadir}/gnome-shell/extensions/%{uuid}/locale/*/*/*.po
%{_libdir}/purple-2/libgnomeshell.so

%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.20.gitfb9dbfd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.19.gitfb9dbfd
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Mar 27 2015 Tom Callaway <spot@fedoraproject.org> - 0-0.18.gitfb9dbfd
- update to latest git
- enable support for gnome 3.15/3.16

* Wed Feb 25 2015 Ville Skyttä <ville.skytta@iki.fi> - 0-0.17.gitf1beeeb
- Switch to github provided tarball, don't ship .git or *.po
- Mark license files as %%license

* Tue Jan 20 2015 Tom Callaway <spot@fedoraproject.org> - 0-0.16.git1a254319ea
- switch to pidgin-im-gnome-shell-extension@muffinmad

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.15.git1a254319ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.14.git1a254319ea
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 24 2014 Tom Callaway <spot@fedoraproject.org> - 0-0.13.git1a254319ea
- conf fixes

* Mon Feb  3 2014 Tom Callaway <spot@fedoraproject.org> - 0-0.12.git1a254319ea
- fix zombie notifications (they would not die, now they do)

* Wed Oct 23 2013 Tom Callaway <spot@fedoraproject.org> - 0-0.11.git1a254319ea
- update to Psykar fork of extension (works with 3.8 and 3.10)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.10.git87fc23433d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb  8 2013 Tom Callaway <spot@fedoraproject.org> - 0-0.9.git87fc23433d
- apply fixes from "thedeadparrot" github fork to get things working on gnome 3.6
- improve gnome-shell connector plugin

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git87fc23433d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Apr  5 2012 Tom Callaway <spot@fedoraproject.org> - 0-0.7.git87fc23433d
- sync with git
- tell extension it is okay for gnome-shell 3.4

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git80d4ea4b59
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Oct  7 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.5.git80d4ea4b59
- update to the latest code with more proper 3.2 fixes

* Sun Oct  2 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.4.git4ca78b1
- fix metadata version to be 3.2

* Fri Sep 23 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.3.git4ca78b1
- gnome 3.2 fix

* Wed Jun 15 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.2.git4ca78b1
- add gpl-2.0.txt and license explanation as docs

* Mon Jun 06 2011 Tom Callaway <spot@fedoraproject.org> - 0-0.1.git4ca78b1
- Initial package for Fedora
